function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
    setcurentleaf("police",22,0);
    ShowMenu(true);
    comend= false;
    flags.comixstart= false;
    CreateWindow(150,250,"204",5,nil,250,30);  
  return;end;
  if sender==28 then---- объект доехал
    if obj_id==1 then
      if frame==21 or skip then
        SetAlfa(-33,1,0,2.5);
        clear_satelite_leaf("police");
      return;end;
      if frame==0 then
        setcolor(1100,1,1,1,1,1);
        speciale_action(2,40);
        speciale_action(2,11,true);
        BlockCursor(false);    
      return;end;  
    return;end;
  return;end;  
---------------------------------------------------------------------------------------------------------------
  if sender==29 then -- отработал скейл
  BlockCursor(false);
      if frame==4 then
        if obj_id==98 then
          flags.priexala=true;
        return; end;
      if frame==14 then
        if obj_id==98 then
          speciale_action(2,444);
            --ScaleObject(98,1.3,1,2,750,200)  ;            
            set_text(1100,"264");
          return; end;
        return; end;
      return;end;
  return;end;
        if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id==11 then
      skip= true;
      EndComiks()
    return;end;    
    
  return;end;
    if sender==6 then
        frame=frame+1;
      if frame==1  then   
                speciale_action(2,16);  
        speciale_action(2,40);        
        set_text(1100,"251"); 
      return;end;
      if frame==2  then 
                speciale_action(2,16);  
        speciale_action(2,40);      
        set_text(1100,"252"); 
      return;end;
      if frame==3  then   
                speciale_action(2,16);  
        speciale_action(2,40);          
        set_text(1100,"253"); 
      return;end;
      if frame==4  then 
                speciale_action(2,16);  
        speciale_action(2,40);
        speciale_action(2,99,true,2);        
        ScaleObject(98,1,1.3,2,750,200,true)  ;
          BlockCursor(true);
        set_text(1100,"254"); 
      return;end;
      if frame==5  then   
        if flags.priexala then 
          speciale_action(2,555,true);
          set_text(1100,"255");
          flags.priexala =false;
        end;
      return;end;  
      if frame==6  then   
        speciale_action(2,555);
        speciale_action(2,111);
        set_text(1100,"256"); 
      return;end;
      if frame==7  then 
          ResetHotPoint(98)
        speciale_action(2,111);  
        speciale_action(2,99,true,2);  
        ScaleObject(98,1.3,1,2,750,200)  ;
        BlockCursor(true);        
        set_text(1100,"257"); 
      return;end;
      if frame==8  then 
        speciale_action(2,16);
        speciale_action(2,40);
        set_text(1100,"258"); 
      return;end;
      if frame==9  then   
        speciale_action(2,16);      
        speciale_action(2,40);
        set_text(1100,"259"); 
      return;end;
      if frame==10  then   
        speciale_action(2,16);      
        speciale_action(2,40);
        set_text(1100,"260"); 
      return;end;      
      if frame==11 then 
        speciale_action(2,16);      
        speciale_action(2,40);    
        set_text(1100,"261"); 
      return;end;
      if frame==12 then 
        speciale_action(2,16);      
        speciale_action(2,40);      
        set_text(1100,"262"); 
      return;end;
      if frame==13 then 
        speciale_action(2,16);      
        speciale_action(2,40);        
        set_text(1100,"263"); 
      return;end;      
      if frame==14 then   
        -- speciale_action(2,99,true);        
        -- ScaleObject(98,1,1.3,2,750,200)  ;
        set_text(1100,"268"); 
      return;end;
      if frame==15 then   
        speciale_action(2,99)
        speciale_action(2,444);
        --ScaleObject(98,1.3,1,2,750,200)  ;            
        set_text(1100,"264");
        WriteToConsole("\t 15 \n")
      return end
      if frame==16 then   
        
        speciale_action(2,444);
        speciale_action(2,333);
        set_text(1100,"265"); 
      return;end;
      if frame==17 then 
        speciale_action(2,333);  
        speciale_action(2,99)      
        set_text(1100,"266"); 
      return;end;
      if frame==18 then           
        set_text(1100,"269"); 
      return;end;      
      if frame==19 then           
        set_text(1100,"267"); 
      return;end;
      if frame==20 then           
        set_text(1100,"270"); 
      return;end;        
      if frame==21 then 
        EndComiks()
      return;end;      
    return;end;    
end
function EndComiks()
  MoveObjectY(1,-200,-385,2);
  MoveObjectY(12,610,768,2);
  SetAlfa(16,1,0,0.1);
  SetAlfa(40,1,0,0.1);
  SetAlfa(11,1,0,0.1);
  setcolor(1100,1,1,1,0,1);  
  SetAlfa(-33,0,1,2);
end;